# Project Task Pull Request

This module extends the functionality of project to allow you to add PR URIs to tasks and require PR URIs before tasks can be moved to certain stages.

Table of contents

- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

To use this module, you need to:

1. Go to Project -> Configuration -> Project
2. Select a project and, under “Pull Request URIs”, select the stages where you would like a PR URI to be required
3. Go to Dashboard and select a project
4. Attempt to move one of the project’s task without a PR URI into one of the stages you selected to require a PR; you will receive a Validation Error
5. To add a PR URI to a task, click on the task and go to the “Extra Info” tag

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- SMDrugstore
- Tecnativa

## Contributors

- Kelly Lougheed <kelly@smdrugstore.com>
- Ruchir Shukla <ruchir@bizzappdev.com>
- Tecnativa:
  - Ernesto Tejeda
  - Jairo Llopis
- Cetmix <https://cetmix.com/>: * Ivan Sokolov * Vladimir Kalmykov

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/project project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.